Bug 107631

Summary: Need to add new ssh key to my drm-firmware account
Product: freedesktop.org Reporter: anusha <anusha.srivatsa>
Component: Account Modification RequestsAssignee: Daniel Stone <daniel>
Status: RESOLVED FIXED QA Contact:
Severity: normal    
Priority: medium CC: anusha.srivatsa
Version: unspecified   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments: my ssh public key

Description anusha 2018-08-20 21:58:46 UTC
Created attachment 141205 [details]
my ssh public key

I changed my system, because of which I now cannot push my changes or do a git clone with ssh:// in it for drm-firmware repo.

I have generated new pair of ssh keys. Attaching my .pub key to this bug. Hope that helps resolve the issue.
Comment 1 Daniel Stone 2018-08-21 12:12:08 UTC
No problem, I've changed the key now and it should be active in 5-10min.
Comment 2 anusha 2018-08-21 19:06:55 UTC
@daniel(In reply to Daniel Stone from comment #1)
> No problem, I've changed the key now and it should be active in 5-10min.

It is not working. I wonder if my command to clone is wrong. 
I am giving the following command:

git clone ssh://anongit.freedesktop.org/git/drm/drm-firmware
Cloning into 'drm-firmware'...
ssh: connect to host anongit.freedesktop.org port 22: Network is unreachable
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.

tsocks git clone ssh://git.freedesktop.org/git/drm/drm-firmware
Cloning into 'drm-firmware'...
11:49:26 libtsocks(22455): Error 110 attempting to connect to SOCKS server (Connection timed out)
ssh: connect to host git.freedesktop.org port 22: Network is unreachable
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.

Anything else I need to take care of?
Comment 3 Daniel Stone 2018-08-21 19:45:02 UTC
> git clone ssh://anongit.freedesktop.org/git/drm/drm-firmware
> Cloning into 'drm-firmware'...
> ssh: connect to host anongit.freedesktop.org port 22: Network is unreachable
> fatal: Could not read from remote repository.

This is the wrong host: it should be git.freedesktop.org instead of anongit.freedesktop.org.

Nonetheless, 'network is unreachable' indicates a local network error on your side.

> tsocks git clone ssh://git.freedesktop.org/git/drm/drm-firmware
> Cloning into 'drm-firmware'...
> 11:49:26 libtsocks(22455): Error 110 attempting to connect to SOCKS server (Connection timed out)
> ssh: connect to host git.freedesktop.org port 22: Network is unreachable
> fatal: Could not read from remote repository.

Failure to connect to the SOCKS server is a local network error again: the SOCKS server is internal to Intel and we do not control it.

I suggest contacting Intel IT or one of your co-workers to figure out the correct setup on your side.
Comment 4 anusha 2018-08-23 00:45:03 UTC
Hi Daniel,
fixed the tsocks issue. Now I am getting:

tsocks git clone ssh://git.freedesktop.org/git/drm/drm-firmware
Cloning into 'drm-firmware'...
Permission denied (publickey).
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.


This has usually not happened with this repo before.
Comment 5 Daniel Stone 2018-08-23 07:08:00 UTC
> tsocks git clone ssh://git.freedesktop.org/git/drm/drm-firmware

Your freedesktop.org username is 'anushas', but your local username is 'anusha'. You need to either change the URL to ssh://anushas@git.freedesktop.org or configure this in ~/.ssh/config.
Comment 6 Daniel Vetter 2018-08-23 07:14:17 UTC
Our getting started page has the ssh username issue even explained:

https://bugs.freedesktop.org/show_bug.cgi?id=107631

Specifically this step:

$ printf '\nHost git.freedesktop.org\n\tUser <username>' >> ~/.ssh/config
Comment 7 anusha 2018-08-27 18:04:49 UTC
Thanks a lot daniel it works now.
Comment 8 anusha 2018-08-27 18:11:03 UTC
(In reply to Daniel Vetter from comment #6)
> Our getting started page has the ssh username issue even explained:
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=107631
> 
> Specifically this step:
> 
> $ printf '\nHost git.freedesktop.org\n\tUser <username>' >> ~/.ssh/config

I was actually not able to find it Daniel. i will look atthe documentation next time more carefully. thanks for the direction.

Anusha

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.